:root {
    --episcopal-blue: #407EC9;
    --episcopal-blue-dark: #005CB8;
    --episcopal-blue-light: #EDF6FF;
    --episcopal-blue-x-light: #D4E5F7;
    --episcopal-blue-xx-light: #F6F9FE;

}

h1:focus {
    outline: none;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid #e50000;
}

.validation-message {
    color: #e50000;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }

.darker-border-checkbox.form-check-input {
    border-color: #929292;
}

.form-floating > .form-control-plaintext::placeholder, .form-floating > .form-control::placeholder {
    color: var(--bs-secondary-color);
    text-align: end;
}

.form-floating > .form-control-plaintext:focus::placeholder, .form-floating > .form-control:focus::placeholder {
    text-align: start;
}

* :invalid {
    border-color:var(--kendo-color-error);
    border-radius:5px;
}

.required::after {
    content: ' *';
    color:darkred;
    font-weight:bold;
}

footer {
    margin-top: calc(5cqh) !important;
    padding-top:calc(3cqh) !important;
    border-top: solid #cacaca 1px;
    
}

.k-input-inner::placeholder, input-solid, input::placeholder
{
    color:#bababa !important;
}

.k-input-inner
{
    background-color:white !important;
}
.k-input-solid
{
    border-color:#424242 !important;
}

.k-numerictextbox input {
    text-align:right;
}

.k-checkbox { border-color: black !important; }
.k-radio { border-color: black !important; }
.k-radio:disabled { border-color: #555 !important; }

.-pr-lookup {background-color:#EDF6FF !important;}

.-grid-deleted {
    color:grey;
    text-decoration:line-through;
    font-style:italic;
}

.form-control {
    background-color:var(--episcopal-blue-xx-light) !important;
    
}
/*.form-control {
    background-color:#ecfef8 !important;
}
*/
input[type="text"],
input[type="date"],
input[role="textbox"],
textarea
{
    background-color:white !important;
    border:solid 1pt #cacaca !important;
}

textarea
{
/*    font-family:var(--bs-body-font-family) !important;*/
}

.k-dropdownlist {
    background-color:white !important;
}

.k-picker-solid {
    border:solid 1pt #cacaca !important;
}

.-multiselect-deleted {
    color:grey;
    text-decoration:line-through;
    font-style:italic;
}

.a-link {color:blue !important; text-decoration:underline !important; cursor:pointer !important;}

.comment {
    font-style:italic;
    font-size:.9em;
}

.k-dropzone-hint { display:none !important; }

ul.k-upload-files {display:none;}

.-parochial-report-data {
    background-color: var(--episcopal-blue-light) !important;
    border: solid 1px var(--episcopal-blue-dark) !important;
}

.-parochial-report-header-text {
    font-style:italic;
    color:var(--episcopal-blue-dark);
    font-size:.9em;
    margin-bottom:2px;
}

.-user-entry-dropdown-item-suffix {
    padding-left:5px;
    font-weight:bold;
    color:#888;
}

.-profile-view input,
.-profile-view textarea
{
    background-color:transparent !important;
    border:0 !important;
    border:solid 1px !important;
}

.k-textbox {
    border:0 !important;
    border-radius:0 !important;
}

.-browse-list td[role="gridcell"] {
    cursor: pointer;
}

#browseInstructions {
    font-style:italic;
    font-size:1rem;
    margin-top: .5rem;
    margin-bottom: .5rem;
}

.telerik-blazor.w-45 {
    width:45% !important;
}

.k-notification-group { /* flex-wrap: nowrap !important; */ /* bottom: calc(5cqh) !important; */
}

.k-notification {
    font-size: 1em !important;
    width: calc(50cqw) !important;
    padding: 5px 15px !important;
}
.k-notification-small .k-notification {
    width: calc(30cqw) !important;
    font-size:.8em !important;
}

.not-min-valid {
    display:none !important;
}

.published {

}
.unpublished {
    font-style:italic; color:lightslategrey;
}
.k-column-title {
    display:inline-block;
    width:100%;
    text-align:center;
    text-transform:uppercase;
    font-size:0.9em;
}

@media print {
    .siteHeader,
    .-page-header-container,
    .no-print {display:none !important;}
    .container {
        margin:auto 10px !important;
        max-width:revert !important;
    }
    .form-group,
    .form-group > div,
    .form-group > label {
        font-size:.9em !important;
    }
    .pb-2 {
        padding-bottom:1px !important;
    }
    .mb-3 {
        margin-bottom:1px !important;
    }
}

@media screen and (min-width: 1023px) {
    #mobile-info { display: none; }
}

.episc-blue {
    color: var(--episcopal-blue) !important;
}
.episc-blue-bkgrd {
    background-color: var(--episcopal-blue) !important;
    color:white !important;
}
.episc-blue-dark {
    color: var(--episcopal-blue-dark) !important;
}

nav.siteHeader div.lang-select-container {
    letter-spacing:0 !important;
}
.lang-select-container span.k-dropdownlist {
    margin-right:10px !important;
    padding-right:10px !important;
}
